Skip to main content
GET
/
v2
/
{target}
/
{identifier}
/
attributes
List attributes
curl --request GET \
  --url https://api.attio.com/v2/{target}/{identifier}/attributes \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": {
        "workspace_id": "14beef7a-99f7-4534-a87e-70b564330a4c",
        "object_id": "97052eb9-e65e-443f-a297-f2d9a4a7f795",
        "attribute_id": "41252299-f8c7-4b5e-99c9-4ff8321d2f96"
      },
      "title": "Company",
      "description": "A company attribute",
      "api_slug": "company",
      "type": "record-reference",
      "is_system_attribute": false,
      "is_writable": true,
      "is_required": false,
      "is_unique": false,
      "is_multiselect": false,
      "is_default_value_enabled": false,
      "is_archived": false,
      "default_value": null,
      "relationship": {
        "id": {
          "workspace_id": "14beef7a-99f7-4534-a87e-70b564330a4c",
          "object_id": "97052eb9-e65e-443f-a297-f2d9a4a7f795",
          "attribute_id": "41252299-f8c7-4b5e-99c9-4ff8321d2f96"
        },
        "object_slug": "companies",
        "title": "Team members",
        "api_slug": "team_members",
        "is_multiselect": true
      },
      "created_at": "2021-11-21T13:22:49.061Z",
      "config": {
        "currency": {
          "default_currency_code": null,
          "display_type": null
        },
        "record_reference": {
          "allowed_object_ids": [
            "companies"
          ]
        }
      }
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.attio.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

This API uses OAuth 2.0 with the authorization code grant flow.

Path Parameters

target
enum<string>
required

Whether the attributes are on an object or a list.

Available options:
objects,
lists
Example:

"lists"

identifier
string
required

A UUID or slug to identify the object or list the attributes belong to.

Example:

"33ebdbe9-e529-47c9-b894-0ba25e9c15c0"

Query Parameters

limit
integer

The maximum number of results to return. See the full guide to pagination here.

Example:

10

offset
integer

The number of results to skip over before returning. See the full guide to pagination here.

Example:

5

show_archived
boolean

Whether archived attributes should be included in the results. See the full guide to archiving here.

Example:

true

Response

200 - application/json

Success

Success

data
object[]
required